#15 Support use of L_JAVASCRIPT

closed
nobody
None
5
2015-11-26
2015-10-23
No

Your plugin doesn't work in the most recent Notepad++. Apparently this is due to a change in NPP. See my NPP bug report with the "answer" being

Those plugins most likely need to be made aware of the new L_JAVASCRIPT language that was introduced in one of the latest version (not sure which one exactly, can't find it in the release notes sadly enough, haven't look at the code, assume it is since 6.8.4).

The L_JS apparently is now used for embedded JS (in html, with a gray background color) and the new one is used for standalone js files, with a white background color in the editor (at least in the default color scheme).

You need to contact the authors of those plugins to ask them to make their plugin aware of this new LangType. It is probably a small fix for them.

Discussion

  • Martin Vladic

    Martin Vladic - 2015-11-26

    Fixed in version 0.8.3 of JSLint Plugin.

     
  • Martin Vladic

    Martin Vladic - 2015-11-26
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks